# Uses of Interface
org.eclipse.gef.EditPartListener

Packages that use EditPartListener
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.
org.eclipse.gef.editparts
This package contains abstract implementation of the EditPart interface.
org.eclipse.gef.editpolicies
This package contains EditPolicy implementations for many common editing Roles.

## Uses of EditPartListener in org.eclipse.gef

Classes in org.eclipse.gef that implement EditPartListener
Modifier and Type
Class
Description
`static class`
`EditPartListener.Stub`
Listeners interested in just a subset of Events can extend this stub implementation.
Methods in org.eclipse.gef with parameters of type EditPartListener
Modifier and Type
Method
Description
`void`
EditPart.`addEditPartListener(EditPartListener listener)`
Adds a listener to the EditPart.
`void`
EditPart.`removeEditPartListener(EditPartListener listener)`
Removes the first occurance of the specified listener from the list of listeners.

## Uses of EditPartListener in org.eclipse.gef.editparts

Methods in org.eclipse.gef.editparts with parameters of type EditPartListener
Modifier and Type
Method
Description
`void`
AbstractEditPart.`addEditPartListener(EditPartListener listener)`
Adds an EditPartListener.
`void`
AbstractEditPart.`removeEditPartListener(EditPartListener listener)`
No reason to override

## Uses of EditPartListener in org.eclipse.gef.editpolicies

Methods in org.eclipse.gef.editpolicies that return EditPartListener
Modifier and Type
Method
Description
`protected EditPartListener`
LayoutEditPolicy.`createListener()`
creates the EditPartListener for observing when children are added to the host.
Methods in org.eclipse.gef.editpolicies with parameters of type EditPartListener
Modifier and Type
Method
Description
`protected void`
LayoutEditPolicy.`setListener(EditPartListener listener)`
Sets the EditPartListener used to decorate new children.